*System Options;
options mprint linesize=150 pagesize=50 compress=yes symbolgen ERRORS=0;

/***********************/
/*    User Inputs      */
/***********************/

*Edit this section to reflect locations for the Libraries and Folders for Mini-Sentinel;
*IMPORTANT NOTE: end of path separators are needed;
*	Windows-based platforms: 	"\", e.g. "C:\user\sas\" and not "C:\user\sas";
*	Unix-based platforms:		"/", e.g."/home/user/sas/" and not "/home/user/sas";

/********** FOLDER CONTAINING INPUT DATA FILES AND MSCDM DATA ***************************************/
/*Data in MSCDM Format*/          libname indata 'C:\Harvard\ToolKit\ms_freezedata\Example\indata\';		

/*********** FOLDER CONTAINING FINAL DATASETS TO BE KEPT LOCAL AT THE PARTNER SITE (DPLocal)**********/
/*SAS Output Files*/              libname outdata 'C:\Harvard\ToolKit\ms_freezedata\Example\outdata\';	

/*********** FOLDER CONTAINING the sas macro **********/;
/*Macro location */               %include "C:\Harvard\ToolKit\ms_freezedata\ms_freezedata.sas"; 


/********************************************END OF USER INPUT**********************************************/

/***********************/
/* Macro Call          */
/***********************/

%MS_FREEZEDATA(INFILE=indata.ms_freezedata_enrollment,		/*SAS dataset with patient-level data*/		
		       PATLISTINFILE=indata.ms_freezedata_patlist,	/*SAS dataset with list of patients*/				 
		       OUTFILE=outdata.ms_freezedata_frozen_enroll	/*SAS dataset output file with subset of patient level data*/
);
